Contents

# Add-in Functions

The following describes and lists some of the available add-in functions.

Yad-rimee Add-in

You will also find a description of the LibreOffice Calc add-in interface in the Help. In addition, important functions and their parameters are described in the Help for the Shared Library LibreOffice Calc add-in DLL.

## Add-ins dhiyeessame

LibreOffice Walquunnamtii add-in LibreOffice Calciif fakkeenyota qabata.

Faankishinoota Xiinxalaa Kutaa Tokkoffaa

Faankishinoota Xiinxalaa Kutaa Lammaffaa

## DAYSINMONTH

Lakkoofsa guyyoota ji'a keessaa kan aduun gale itti argamu shallaga.

#### Syntax

DAYSINMONH(Aduu)

Aduun aduu kamiyyuu kan eerame ji'a keessaati. Ulaagaan aduu akka qindaa'inoota gitoo biyyaa LibreOfficetti aduu dhugaa ta'u qaba.

#### Example

=DAYSINMONTH(A1) yoo A1'nin 1968-02-17 qabaate 29 kenna, aduu gataa'aa kan amajjii 1968ti.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.DAYSINMONTH

DAYSINMONTH wiki page.

## DAYSINYEAR

Lakkoofsa guyyoota waggaa keessaa kan aduun gale itti argamu shallaga.

#### Syntax

DAYSINYEAR(Aduu)

Aduun aduu kamiyyuu kan eerame keessaati. Ulaagaan aduu akka qindaa'inoota gitoo biyyaa LibreOfficetti aduu gataa'aa ta'u qaba.

#### Example

=DAYSINYEAR(A1) yoo A1'nin 1968-02-29 qabaate guyyoota 366 qaba, aduu gataa'aa kan bara 1968.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.DAYSINYEAR

DAYSINYEAR wiki page.

## ISLEAPYEAR

Waggaan waggaa utaalu ta'uu isaa murteessa. Yoo eyyee ta'e, faankishinichi gatii 1(DHUGAA) kenna; yoo ta'uu baate, 0(SOBA) deebisa.

#### Syntax

ISLEAPYEAR("Aduu")

Date specifies whether a given date falls within a leap year. The Date parameter must be a valid date.

Microsoft Excel wrongly assumes year 1900 to be a leap year and considers the inexistent day of 1900-02-29 as valid in date calculations. Dates prior to 1900-03-01 are therefore different in Excel and Calc.

#### Example

Yoo A1,guyyaa sirrii 29 amajjii 1968 qindaa'ina gitoo biyyaa keessaa 1968-02-29 qabaate=ISLEAPYEAR(A1) 1 deebisa.

You may also use =ISLEAPYEAR(DATE(1968;2;29)) or =ISLEAPYEAR("1968-02-29") giving the date string in the ISO 8601 notation.

=ISLEAPYEAR(2/29/68) gonkuma hin fayyadamiin, sababni isaas kun jalqaba 2 hiruu 29f hiruu 68f shallaguu qaba, sana booda faankishinii ISLEAPYEAR lakkoofsa xiqqoo kana irraa akka lakkoofsa guyyaa eenyummaatti shallagi.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.ISLEAPYEAR

ISLEAPYEAR wiki page.

## MONTHS

Garaagarummaa ji'ootaa guyyoota lama gidduu jiru shallaga.

#### Syntax

MONTHS(AduuJalqabaa; AduuDhumaa; Gosa)

AduunJalqabaa aduu duraati.

AduunDhumaa aduu lammaffaati

Gosni Gosa garaagarummaa shallaga. Gatiiwwan eeyyamaman 0 (giddu'uu) fi 1 (lakkaawwii ji'ootaan).

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.MONTHS

MONTHS wiki page.

## ROT13

Arfiiwwan tartiiba qubee keessatti iddoowwan 13 tti hiiqsuudhaan diraa arfii icciteessa. Qubee Z booda, tartiibni qubee ammas (naanna'uu) jalqaba. Lakkaddaa uumamutti ammas faankishinii icciteessuu fayyadamuudhaan, icciitii barruu diiguu dandeessa.

#### Syntax

ROT13(Barruu)

Barruun diraa arfii icciteeffamuu qabudha. ROT13(ROT13(Barruun)) lakkaddaa saaxila.

#### Example

=ROT13("Gur Qbphzrag Sbhaqngvba jnf sbhaqrq va Frcgrzore 2010.") returns the string "The Document Foundation was founded in September 2010.". Notice how spaces, digits, and full stops are unaffected by ROT13.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.ROT13

Refer to the ROT13 wiki page for more details about this function.

## WEEKS

garagarumma torbeewwan aduuwwan lama jiru kenna.

#### Syntax

WEEKS(AduuJalqabaa; AduuXumuraa; Akaakuu)

StartDate is the start date in the interval.

EndDate is the end date in the interval. The end date must be greater than the start date, or else an error is returned.

Type specifies the type of difference to be calculated. Possible values are 0 (time interval) or 1 (calendar weeks).

If Type = 0 the function will assume that 7 days is equivalent to one week without considering any specific day to mark the beginning of a week.

If Type = 1 the function will consider Monday to be the first day of the week. Therefore, except for the start date, each occurrence of a Monday in the interval is counted as an additional week.

This function considers Monday to be the first day of the week regardless of the current locale settings.

#### Example

In the following examples, dates are passed as strings. However, they can also be stored in separate cells and be passed as references.

=WEEKS("2022-01-12","2022-01-17",0) returns 0 because Type was set to 0 and there are only 5 days in the interval.

=WEEKS("2022-01-12","2022-01-19",0) returns 1 because Type was set to 0 and there are 7 days in the interval.

=WEEKS("2022-01-12","2022-01-17",1) returns 1 because Type was set to 1 and the interval contains a Monday, since 2022-01-12 is a Wednesday and 2022-01-17 is a Monday.

=WEEKS("2022-01-12","2022-01-15",1) returns 0 because Type was set to 1 and the interval does not contain any Mondays, except for the start date.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.WEEKS

WEEKS wiki page.

## WEEKSINYEAR

Lakkoofsa torbeewwan waggaa kan aduun gale itti argamu kenna. Lakkoofsi torbeewwanii akka armaan gadiiti hiikama:torbeen waggoota lama gargar baasu waggaa guyyotni torbee kana keessatti argamutti dabalama.

#### Syntax

WEEKSINYEAR(aduu)

Aduun aduu kamiyyuu kan eerame keessaati. Ulaagaan aduu akka qindaa'inoota gitoo biyyaa LibreOfficetti aduu gataa'aa ta'u qaba.

Following ISO 8601, this function considers Monday to be the first day of the week, and the first week of a year is the one with most days in this year.

#### Example

=WEEKSINYEAR(A1) yoo A1'nin 1970-02-17 qabaate 53 kenna, aduu gataa'aa kan bara 1970.

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.WEEKSINYEAR

WEEKSINYEAR wiki page.

## YEARS

Garaagarummaa waggaa aduuwwan lama gidduu jiru shallaga.

#### Syntax

YEARS(AduuJalqabaaStart; AduuDhumaa; Gosa)

AduunJalqabaa aduu duraati.

AduunDhumaa aduu lammaffaati

Gosni gosa garaagarummaa shallaga. Gatiiwwan eeyyamaman 0 (giddu'uu) fi 1 (lakkaawwii waggootaa).

#### Technical information

This function is NOT part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

ORG.OPENOFFICE.YEARS

YEARS wiki page.

## idaatuwaan LibreOffice API keessaan

Add-ins can also be implemented through the LibreOffice API.

Matadureewwan Walfakkatan

Functions by Category